Debian Bug report logs - #631592
ncurses should provide a termlib library

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 25 Jun 2011 07:39:05 UTC

Severity: important

Tags: help, patch

Found in version 5.9-1

Fixed in version ncurses/5.9-2

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sat, 25 Jun 2011 07:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Sat, 25 Jun 2011 07:39:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses should provide a termlib library
Date: Sat, 25 Jun 2011 09:37:23 +0200
Package: ncurses
Version: 5.9-1
Severity: important

ncurses should be configured with --with-termlib so that packages which do not
rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
libtermlib.  Not having a libtermlib would need proliferation of non-wide/wide
library builds for every library depending on ncurses/ncursesw. The first
library needing this is libreadline.

See http://bugs.debian.org/602720 for the initial report and the discussion with
the upstream author.  Building libtermlib seems to be the standard way to build
ncurses for other distributions.




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sat, 25 Jun 2011 08:34:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 25 Jun 2011 08:34:24 GMT) Full text and rfc822 format available.

Message #10 received at 631592@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Matthias Klose <doko@debian.org>, 631592@bugs.debian.org
Cc: Craig Small <csmall@debian.org>
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Sat, 25 Jun 2011 04:24:26 -0400 (EDT)
On Sat, 25 Jun 2011, Matthias Klose wrote:

> Package: ncurses
> Version: 5.9-1
> Severity: important
>
> ncurses should be configured with --with-termlib so that packages which do not
> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
> libtermlib.  Not having a libtermlib would need proliferation of non-wide/wide
> library builds for every library depending on ncurses/ncursesw. The first
> library needing this is libreadline.
>
> See http://bugs.debian.org/602720 for the initial report and the discussion with
> the upstream author.  Building libtermlib seems to be the standard way to build
> ncurses for other distributions.

Clarification:

a) the library itself is normally named "libtinfo".
b) the configure script option is named "--with-termlib".

Some other implementations for instance install symbolic links equating
libtermcap, libterm and libcurses (looking at Solaris).  Rather than
use those names, I chose one that didn't conflict with existing usage.

(In retrospect, it might also have been a Good Idea to add a symlink
for libtinfo in the normal --without-termlib build, but again, that
can conflict one way or another...)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sat, 25 Jun 2011 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 25 Jun 2011 16:36:05 GMT) Full text and rfc822 format available.

Message #15 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Matthias Klose <doko@debian.org>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Sat, 25 Jun 2011 18:34:11 +0200
tags 631592 + help
thanks

On 2011-06-25 09:37 +0200, Matthias Klose wrote:

> Package: ncurses
> Version: 5.9-1
> Severity: important
>
> ncurses should be configured with --with-termlib so that packages which do not
> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
> libtermlib.

I concur that this is desirable, but it breaks the ABI.  If we were to do
that, we could probably drop the non-wide development packages altogether.
There are some obstacles to an ABI break, because ncurses

- does not provide versioned symbols

- exports many (all?) internal symbols (those starting with _nc_)

- exposes many of these symbols in the public headers:
$ grep _nc_ /usr/include/ncursesw/*.h | wc -l
155

Considering how many libraries in Debian are linked against libncurses5
and that we have to retain libncurses5 for a very long time per LSB
compatibility and users' demand, I don't really have an idea how to
proceed.

> Not having a libtermlib would need proliferation of non-wide/wide
> library builds for every library depending on ncurses/ncursesw. The first
> library needing this is libreadline.
>
> See http://bugs.debian.org/602720 for the initial report and the discussion with
> the upstream author.  Building libtermlib seems to be the standard way to build
> ncurses for other distributions.

By "other distributions" you seem to be referring to Fedora, who have
been building ncurses "--with-termlib" since 2007.  Opensuse and
Mandriva do not do this, I haven't looked at other distributions yet.

Regards,
        Sven




Added tag(s) help. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 25 Jun 2011 16:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sun, 26 Jun 2011 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 26 Jun 2011 09:48:04 GMT) Full text and rfc822 format available.

Message #22 received at 631592@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 631592@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>, Craig Small <csmall@debian.org>
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Sun, 26 Jun 2011 05:43:34 -0400 (EDT)
On Sat, 25 Jun 2011, Sven Joachim wrote:

> tags 631592 + help
> thanks
>
> On 2011-06-25 09:37 +0200, Matthias Klose wrote:
>
>> Package: ncurses
>> Version: 5.9-1
>> Severity: important
>>
>> ncurses should be configured with --with-termlib so that packages which do not
>> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
>> libtermlib.
>
> I concur that this is desirable, but it breaks the ABI.  If we were to do
> that, we could probably drop the non-wide development packages altogether.
> There are some obstacles to an ABI break, because ncurses
>
> - does not provide versioned symbols

My point of view here is that versioned symbols are essentially a 
Linux-specific feature which for quite a while was at best poorly 
documented.  When it's been discussed before, I've suggested that people 
interested in the feature might send a patch, but recall being told to not 
bother - it's their problem, not mine.

>
> - exports many (all?) internal symbols (those starting with _nc_)
>
> - exposes many of these symbols in the public headers:
> $ grep _nc_ /usr/include/ncursesw/*.h | wc -l
> 155

I think the relevant issue here is in ncurses.h (a much smaller number,
which can be dealt with on a case-by-case basis).

> Considering how many libraries in Debian are linked against libncurses5
> and that we have to retain libncurses5 for a very long time per LSB
> compatibility and users' demand, I don't really have an idea how to
> proceed.

Perhaps by starting with a proposal for symbol versioning, and applying
that to a package containing only libtinfo.

>> Not having a libtermlib would need proliferation of non-wide/wide
>> library builds for every library depending on ncurses/ncursesw. The first
>> library needing this is libreadline.
>>
>> See http://bugs.debian.org/602720 for the initial report and the discussion with
>> the upstream author.  Building libtermlib seems to be the standard way to build
>> ncurses for other distributions.
>
> By "other distributions" you seem to be referring to Fedora, who have
> been building ncurses "--with-termlib" since 2007.  Opensuse and
> Mandriva do not do this, I haven't looked at other distributions yet.

Oddly, I've gotten some feedback from Werner Fink for this area,
but agree that I don't see it as their default configuration.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Mon, 22 Aug 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 22 Aug 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 631592@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Tue, 23 Aug 2011 01:12:39 +0200
On 06/25/2011 06:34 PM, Sven Joachim wrote:
> tags 631592 + help
> thanks
> 
> On 2011-06-25 09:37 +0200, Matthias Klose wrote:
> 
>> Package: ncurses
>> Version: 5.9-1
>> Severity: important
>>
>> ncurses should be configured with --with-termlib so that packages which do not
>> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
>> libtermlib.
> 
> I concur that this is desirable, but it breaks the ABI.  If we were to do
> that, we could probably drop the non-wide development packages altogether.
> There are some obstacles to an ABI break, because ncurses
> 
> - does not provide versioned symbols
> 
> - exports many (all?) internal symbols (those starting with _nc_)
> 
> - exposes many of these symbols in the public headers:
> $ grep _nc_ /usr/include/ncursesw/*.h | wc -l
> 155
> 
> Considering how many libraries in Debian are linked against libncurses5
> and that we have to retain libncurses5 for a very long time per LSB
> compatibility and users' demand, I don't really have an idea how to
> proceed.

please can we first build libncursesw this way, and provide a new package
providing the new shared libraries?

$ grep-dctrl -FBuild-Depends -s Package libncurses5-dev
/var/lib/apt/lists/*_source_Sources |wc -l
437
$ grep-dctrl -FBuild-Depends -s Package libncursesw5-dev
/var/lib/apt/lists/*_source_Sources |wc -l
89

this looks easier than attacking the non-wide case.

what follows ... your choice, but this would allow us to have some progress, and
it should not matter, if the symbols come from the libncurses5 library or one of
the new shared libraries.

would it be possible to check the build logs of the package b-d on
libncursesw5-dev, that these really have the appropriate -I option in the
compiler flags?

  Matthias








Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Thu, 25 Aug 2011 13:57:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Aug 2011 13:57:19 GMT) Full text and rfc822 format available.

Message #32 received at 631592@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Thu, 25 Aug 2011 15:56:19 +0200
[Message part 1 (text/plain, inline)]
tag 631592 + patch
thanks

On 06/25/2011 06:34 PM, Sven Joachim wrote:
> tags 631592 + help
> thanks
> 
> On 2011-06-25 09:37 +0200, Matthias Klose wrote:
> 
>> Package: ncurses
>> Version: 5.9-1
>> Severity: important
>>
>> ncurses should be configured with --with-termlib so that packages which do not
>> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
>> libtermlib.
> 
> I concur that this is desirable, but it breaks the ABI.

No, it does not.  See the attached patch. The idea is that the new libtinfo5
remains "invisible", by forcing to link with -ltinfo when you link with
-lncurses or -lncursesw.

  Matthias

[ncurses.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 25 Aug 2011 13:57:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Thu, 25 Aug 2011 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Aug 2011 16:06:09 GMT) Full text and rfc822 format available.

Message #39 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Matthias Klose <doko@debian.org>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Thu, 25 Aug 2011 18:02:33 +0200
On 2011-08-25 15:56 +0200, Matthias Klose wrote:

> tag 631592 + patch
> thanks
>
> On 06/25/2011 06:34 PM, Sven Joachim wrote:
>> tags 631592 + help
>> thanks
>> 
>> On 2011-06-25 09:37 +0200, Matthias Klose wrote:
>> 
>>> Package: ncurses
>>> Version: 5.9-1
>>> Severity: important
>>>
>>> ncurses should be configured with --with-termlib so that packages which do not
>>> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
>>> libtermlib.
>> 
>> I concur that this is desirable, but it breaks the ABI.
>
> No, it does not.  See the attached patch. The idea is that the new libtinfo5
> remains "invisible", by forcing to link with -ltinfo when you link with
> -lncurses or -lncursesw.

Thanks for the patch, but you had better base it on git master rather
than the version in unstable.  Could you please adapt it to the
multiarch related changes?  Both libtinfo5 and libtinfo5-dev should be
"Multi-Arch: same" then.

Otherwise the patch looks good to me, with only minor nitpicks:

> +Package: libtinfo5-dev
> +Architecture: any
> +Section: libdevel
> +Depends: libtinfo5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}

"Priority: optional" is missing, and there is no need for ${shlibs:Depends}.

> +libtinfo.so.5 #PACKAGE# #MINVER#
> + BC@Base 5.6+20070908

Since the package is new, MINVER can be set to 0 for all symbols.

Thanks,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Thu, 25 Aug 2011 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Aug 2011 16:21:05 GMT) Full text and rfc822 format available.

Message #44 received at 631592@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Thu, 25 Aug 2011 18:20:14 +0200
On 08/25/2011 06:02 PM, Sven Joachim wrote:
> On 2011-08-25 15:56 +0200, Matthias Klose wrote:
> 
>> tag 631592 + patch
>> thanks
>>
>> On 06/25/2011 06:34 PM, Sven Joachim wrote:
>>> tags 631592 + help
>>> thanks
>>>
>>> On 2011-06-25 09:37 +0200, Matthias Klose wrote:
>>>
>>>> Package: ncurses
>>>> Version: 5.9-1
>>>> Severity: important
>>>>
>>>> ncurses should be configured with --with-termlib so that packages which do not
>>>> rely on the symbols exported by ncurses/ncursesw, but only on symbols found in
>>>> libtermlib.
>>>
>>> I concur that this is desirable, but it breaks the ABI.
>>
>> No, it does not.  See the attached patch. The idea is that the new libtinfo5
>> remains "invisible", by forcing to link with -ltinfo when you link with
>> -lncurses or -lncursesw.
> 
> Thanks for the patch, but you had better base it on git master rather
> than the version in unstable.  Could you please adapt it to the
> multiarch related changes?  Both libtinfo5 and libtinfo5-dev should be
> "Multi-Arch: same" then.

well, please merge it. I already spent too much time on this. Given your wrong
claim of breaking the ABI, please go ahead and merge it.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sat, 27 Aug 2011 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 27 Aug 2011 16:18:03 GMT) Full text and rfc822 format available.

Message #49 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Matthias Klose <doko@debian.org>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Sat, 27 Aug 2011 18:13:47 +0200
On 2011-08-25 18:02 +0200, Sven Joachim wrote:

> On 2011-08-25 15:56 +0200, Matthias Klose wrote:
> Otherwise the patch looks good to me, with only minor nitpicks:
>
>> +Package: libtinfo5-dev
>> +Architecture: any
>> +Section: libdevel
>> +Depends: libtinfo5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
>
> "Priority: optional" is missing, and there is no need for ${shlibs:Depends}.

I noticed that you added this in the package that you uploaded to
Ubuntu, together with other minor changes.  Am I right assuming that I
should use the 5.9-1ubuntu2 package as starting point for the merge?

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sat, 27 Aug 2011 21:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 27 Aug 2011 21:06:15 GMT) Full text and rfc822 format available.

Message #54 received at 631592@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Sat, 27 Aug 2011 23:02:13 +0200
On 08/27/2011 06:13 PM, Sven Joachim wrote:
> On 2011-08-25 18:02 +0200, Sven Joachim wrote:
>
>> On 2011-08-25 15:56 +0200, Matthias Klose wrote:
>> Otherwise the patch looks good to me, with only minor nitpicks:
>>
>>> +Package: libtinfo5-dev
>>> +Architecture: any
>>> +Section: libdevel
>>> +Depends: libtinfo5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
>>
>> "Priority: optional" is missing, and there is no need for ${shlibs:Depends}.
>
> I noticed that you added this in the package that you uploaded to
> Ubuntu, together with other minor changes.  Am I right assuming that I
> should use the 5.9-1ubuntu2 package as starting point for the merge?

yes, the examples didn't build without an installed version of libtinfo5.  Note 
that debdiff can't handle symlinks nicely, so maybe it's better to create these 
during the package build and remove them on clean again.

  Matthias




Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 03 Sep 2011 09:51:07 GMT) Full text and rfc822 format available.

Message sent on to Matthias Klose <doko@debian.org>:
Bug#631592. (Sat, 03 Sep 2011 09:51:33 GMT) Full text and rfc822 format available.

Message #59 received at 631592-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 631592-submitter@bugs.debian.org
Subject: Bug#631592 marked as pending
Date: Sat, 03 Sep 2011 09:47:59 +0000
tag 631592 pending
thanks

Hello,

Bug #631592 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=20ac376

---
commit 20ac37608f1d52a860b9b0034e0dfed5a135d8c6
Merge: 59dbf59 542ab0a
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Aug 29 17:54:49 2011 +0200

    Merge branch 'termlib'
    
    Adjust Matthias' changes for multiarch and make all necessary changes
    to unbreak the build after resolving the merge conflicts.
    
    Install tinfo.pc into the libtinfo5-dev package, and add a
    debian/changelog entry.
    
    Conflicts:
    	debian/control
    	debian/libncurses5-dev.install
    	debian/libncurses5-dev.links
    	debian/libncursesw5-dev.install
    	debian/rules

diff --cc debian/changelog
index a963f56,cc2e9c8..bbc903e
--- a/debian/changelog
+++ b/debian/changelog
@@@ -1,21 -1,3 +1,25 @@@
 +ncurses (5.9-2) UNRELEASED; urgency=low
 +
++  * Build libncurses and libncursesw with "--with-termlib" and split out
++    libtinfo* packages to allow building a libreadline that does not link
++    against libncurses.  Thanks to Matthias Klose for the initial patch.
++    (Closes: #631592)
 +  * Configure all library builds except libncurses5 with "--without-progs"
 +    to reduce build time a bit.
 +  * Add build-arch and build-indep targets to debian/rules.
 +  * Use dh_install's "--fail-missing" option.
 +  * Build for multiarch (Closes: #638281).
 +    - Mark libncurses5{,-dev} and libncursesw5{,-dev} as Multi-Arch: same.
 +    - Mark ncurses-bin as Multi-Arch: foreign.
 +  * New patch 03-debian-ncursesconfig-omit-L.diff to omit the "-L" part
 +    from "ncurses5-config --libs" (see #638281).
 +  * Add rxvt-256color and rxvt-88color entries to debian/rxvt.ti
 +    (Closes: #638189).
 +  * Bump debhelper compatibility level to 8.
 +  * Upgrade Standards-Version to 3.9.2, no changes needed.
 +
-  -- Sven Joachim <svenjoac@gmx.de>  Mon, 30 May 2011 17:17:46 +0200
++ -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 Aug 2011 22:09:16 +0200
 +
  ncurses (5.9-1) unstable; urgency=low
  
    * New upstream release.




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Sat, 03 Sep 2011 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 03 Sep 2011 09:54:12 GMT) Full text and rfc822 format available.

Message #64 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Matthias Klose <doko@debian.org>
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: ncurses should provide a termlib library
Date: Sat, 03 Sep 2011 11:51:39 +0200
I have now merged your libtinfo changes and pushed them to our git
repository, with the following noteworthy differences:

- Dropped the lib64tinfo5-dev package, i.e. merged its contents into
  lib64ncurses5-dev.  There is no lib64ncursesw5 package and probably
  never will be, so we don't need a separate lib64tinfo5-dev package.

- Renamed lib{,32}tinfo5-dev to lib{,32}tinfo-dev following best
  practice to not include the soname in -dev package names.

You may need to add some Conflicts/Replaces in the Ubuntu packages to
accommodate that.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Mon, 05 Sep 2011 17:25:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 05 Sep 2011 17:25:15 GMT) Full text and rfc822 format available.

Message #69 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: debian-devel@lists.debian.org
Cc: 631592@bugs.debian.org
Subject: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Mon, 05 Sep 2011 19:17:05 +0200
[Message part 1 (text/plain, inline)]
Hi,

as requested in bug #631592[1], we (ncurses maintainers) are going to
split out a new library package named libtinfo5 from the ncurses source
package and link both libncurses5 and libncursesw5 against that library.
This raises a small problem for upgrades from previous libncurses5
versions:

If the new libncurses5 is unpacked before libtinfo5, there is a time
window during which programs using symbols that have been moved to
libtinfo5 will not be able to start.  Since this includes bash, that
could be rather bad, especially if bash is /bin/sh.

To rule out this possibility, I would like to add an unversioned
"Pre-Depends: libtinfo5" to libncurses5.  In my tests, apt did install
libtinfo5 before unpacking the replacement libncurses5 anyway, so this
is mostly meant as a safety guard against an unlikely situation.  I do
not expect any upgrade problems to arise from that Pre-Dependency.

Comments welcome,
Sven


1. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631592
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Tue, 06 Sep 2011 20:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 06 Sep 2011 20:48:06 GMT) Full text and rfc822 format available.

Message #74 received at 631592@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: debian-devel@lists.debian.org, 631592@bugs.debian.org
Subject: Re: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Tue, 6 Sep 2011 20:45:47 +0000
On Mon, Sep 05, 2011 at 07:17:05PM +0200, Sven Joachim wrote:
> To rule out this possibility, I would like to add an unversioned
> "Pre-Depends: libtinfo5" to libncurses5.  In my tests, apt did install
> libtinfo5 before unpacking the replacement libncurses5 anyway, so this
> is mostly meant as a safety guard against an unlikely situation.  I do
> not expect any upgrade problems to arise from that Pre-Dependency.

What about rolling this together with a soname bump that also
consolidates libncurses and libncursesw into a single wide-only
library, thereby making the Pre-Depends unnecessary?




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Wed, 07 Sep 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 07 Sep 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #79 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Clint Adams <clint@debian.org>
Cc: debian-devel@lists.debian.org, 631592@bugs.debian.org
Subject: Re: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Wed, 07 Sep 2011 17:47:54 +0200
On 2011-09-06 22:45 +0200, Clint Adams wrote:

> On Mon, Sep 05, 2011 at 07:17:05PM +0200, Sven Joachim wrote:
>> To rule out this possibility, I would like to add an unversioned
>> "Pre-Depends: libtinfo5" to libncurses5.  In my tests, apt did install
>> libtinfo5 before unpacking the replacement libncurses5 anyway, so this
>> is mostly meant as a safety guard against an unlikely situation.  I do
>> not expect any upgrade problems to arise from that Pre-Dependency.
>
> What about rolling this together with a soname bump that also
> consolidates libncurses and libncursesw into a single wide-only
> library, thereby making the Pre-Depends unnecessary?

I would love to do that, but since ncurses does not provide versioned
symbols and we have rather many libraries linking against libncurses5,
it does not seem to be possible.  See the thread starting at
http://lists.debian.org/debian-devel/2008/09/msg00435.html.

Note that in any case libncurses5 has to be kept for LSB compatibility.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Mon, 12 Sep 2011 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 12 Sep 2011 17:48:07 GMT) Full text and rfc822 format available.

Message #84 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: debian-devel@lists.debian.org
Cc: 631592@bugs.debian.org
Subject: Re: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Mon, 12 Sep 2011 19:46:51 +0200
[Message part 1 (text/plain, inline)]
On 2011-09-05 19:17 +0200, Sven Joachim wrote:

> as requested in bug #631592[1], we (ncurses maintainers) are going to
> split out a new library package named libtinfo5 from the ncurses source
> package and link both libncurses5 and libncursesw5 against that library.
> This raises a small problem for upgrades from previous libncurses5
> versions:
>
> If the new libncurses5 is unpacked before libtinfo5, there is a time
> window during which programs using symbols that have been moved to
> libtinfo5 will not be able to start.  Since this includes bash, that
> could be rather bad, especially if bash is /bin/sh.
>
> To rule out this possibility, I would like to add an unversioned
> "Pre-Depends: libtinfo5" to libncurses5.  In my tests, apt did install
> libtinfo5 before unpacking the replacement libncurses5 anyway, so this
> is mostly meant as a safety guard against an unlikely situation.  I do
> not expect any upgrade problems to arise from that Pre-Dependency.

Since nobody expressed affirmation nor disaffirmation so far, I'm faced
with the following possibilities:

a) Don't add the Pre-Depends and wait for someone to whine that his
   system broke because libncurses5 was unpacked before libtinfo5.

b) Add the Pre-Depends and wait for someone to whine that no consensus
   on debian-devel was reached according to Policy §3.5.

I'm inclined to go with b), so if anybody has objections, please raise
them soon.

Cheers,
       Sven
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Mon, 12 Sep 2011 18:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 12 Sep 2011 18:45:09 GMT) Full text and rfc822 format available.

Message #89 received at 631592@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-devel@lists.debian.org, 631592@bugs.debian.org
Subject: Re: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Mon, 12 Sep 2011 12:28:48 +0100
[Message part 1 (text/plain, inline)]
On Mon, Sep 05, 2011 at 07:17:05PM +0200, Sven Joachim wrote:
> as requested in bug #631592[1], we (ncurses maintainers) are going to
> split out a new library package named libtinfo5 from the ncurses source
> package and link both libncurses5 and libncursesw5 against that library.
> This raises a small problem for upgrades from previous libncurses5
> versions:

> If the new libncurses5 is unpacked before libtinfo5, there is a time
> window during which programs using symbols that have been moved to
> libtinfo5 will not be able to start.  Since this includes bash, that
> could be rather bad, especially if bash is /bin/sh.

> To rule out this possibility, I would like to add an unversioned
> "Pre-Depends: libtinfo5" to libncurses5.  In my tests, apt did install
> libtinfo5 before unpacking the replacement libncurses5 anyway, so this
> is mostly meant as a safety guard against an unlikely situation.  I do
> not expect any upgrade problems to arise from that Pre-Dependency.

You are correct that nothing here ensures that libtinfo5 will always be
unpacked before the new libncurses5, and the only way to enforce this is to
have libncurses5 Pre-Depend on libtinfo5.  So I think this is the right
course of action.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#631592; Package ncurses. (Tue, 13 Sep 2011 11:33:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Tue, 13 Sep 2011 11:33:24 GMT) Full text and rfc822 format available.

Message #94 received at 631592@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: debian-devel@lists.debian.org, 631592@bugs.debian.org
Subject: Re: Bug#631592: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Tue, 13 Sep 2011 21:21:04 +1000
[Message part 1 (text/plain, inline)]
On Mon, Sep 12, 2011 at 07:46:51PM +0200, Sven Joachim wrote:
> b) Add the Pre-Depends and wait for someone to whine that no consensus
>    on debian-devel was reached according to Policy §3.5.
> I'm inclined to go with b), so if anybody has objections, please raise
> them soon.
I think we had one maybe and one yes. FWIW I think we need to do b)
as well.

 - Craig

-- 
Craig Small VK2XLZ    http://www.enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux      http://www.debian.org/       csmall at : debian.org
old fingerprint:       1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
NEW fingerprint:       5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#631592; Package ncurses. (Tue, 13 Sep 2011 18:12:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 13 Sep 2011 18:12:13 GMT) Full text and rfc822 format available.

Message #99 received at 631592@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: debian-devel@lists.debian.org
Cc: 631592@bugs.debian.org
Subject: Re: Bug#631592: RFC: Adding "Pre-Depends: libtinfo5" to libncurses5
Date: Tue, 13 Sep 2011 20:11:30 +0200
On 2011-09-13 13:21 +0200, Craig Small wrote:

> On Mon, Sep 12, 2011 at 07:46:51PM +0200, Sven Joachim wrote:
>> b) Add the Pre-Depends and wait for someone to whine that no consensus
>>    on debian-devel was reached according to Policy §3.5.
>> I'm inclined to go with b), so if anybody has objections, please raise
>> them soon.
> I think we had one maybe and one yes. FWIW I think we need to do b)
> as well.

I pushed the change to our git repository.

Thanks,
       Sven





Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Fri, 30 Sep 2011 13:24:09 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 30 Sep 2011 13:24:09 GMT) Full text and rfc822 format available.

Message #104 received at 631592-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 631592-close@bugs.debian.org
Subject: Bug#631592: fixed in ncurses 5.9-2
Date: Fri, 30 Sep 2011 13:21:28 +0000
Source: ncurses
Source-Version: 5.9-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.9-2_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.9-2_amd64.deb
lib32ncurses5_5.9-2_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.9-2_amd64.deb
lib32ncursesw5-dev_5.9-2_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.9-2_amd64.deb
lib32ncursesw5_5.9-2_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.9-2_amd64.deb
lib32tinfo-dev_5.9-2_amd64.deb
  to main/n/ncurses/lib32tinfo-dev_5.9-2_amd64.deb
lib32tinfo5_5.9-2_amd64.deb
  to main/n/ncurses/lib32tinfo5_5.9-2_amd64.deb
libncurses5-dbg_5.9-2_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.9-2_amd64.deb
libncurses5-dev_5.9-2_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.9-2_amd64.deb
libncurses5_5.9-2_amd64.deb
  to main/n/ncurses/libncurses5_5.9-2_amd64.deb
libncursesw5-dbg_5.9-2_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.9-2_amd64.deb
libncursesw5-dev_5.9-2_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.9-2_amd64.deb
libncursesw5_5.9-2_amd64.deb
  to main/n/ncurses/libncursesw5_5.9-2_amd64.deb
libtinfo-dev_5.9-2_amd64.deb
  to main/n/ncurses/libtinfo-dev_5.9-2_amd64.deb
libtinfo5-dbg_5.9-2_amd64.deb
  to main/n/ncurses/libtinfo5-dbg_5.9-2_amd64.deb
libtinfo5_5.9-2_amd64.deb
  to main/n/ncurses/libtinfo5_5.9-2_amd64.deb
ncurses-base_5.9-2_all.deb
  to main/n/ncurses/ncurses-base_5.9-2_all.deb
ncurses-bin_5.9-2_amd64.deb
  to main/n/ncurses/ncurses-bin_5.9-2_amd64.deb
ncurses-doc_5.9-2_all.deb
  to main/n/ncurses/ncurses-doc_5.9-2_all.deb
ncurses-examples_5.9-2_amd64.deb
  to main/n/ncurses/ncurses-examples_5.9-2_amd64.deb
ncurses-term_5.9-2_all.deb
  to main/n/ncurses/ncurses-term_5.9-2_all.deb
ncurses_5.9-2.debian.tar.gz
  to main/n/ncurses/ncurses_5.9-2.debian.tar.gz
ncurses_5.9-2.dsc
  to main/n/ncurses/ncurses_5.9-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631592@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Sep 2011 20:01:05 +0200
Source: ncurses
Binary: libncurses5 libtinfo5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source amd64 all
Version: 5.9-2
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 224450 627474 631592 638189 638281
Changes: 
 ncurses (5.9-2) unstable; urgency=low
 .
   * Build libncurses and libncursesw with "--with-termlib" and split out
     libtinfo* packages to allow building a libreadline that does not link
     against libncurses.  Thanks to Matthias Klose for the initial patch.
     (Closes: #631592)
     - Add Pre-dependency on libtinfo5 to libncurses5 to prevent possible
       symbol lookup errors if libncurses5 is unpacked before libtinfo5.
     - Replace the libncurses{w,}.so symlinks with linker scripts.  Since
       lintian does not like those in multiarch paths, temporarily add
       overrides (see #639735).
     - Remove spurious leftover libncurses5.so.5 symlinks (Closes: #224450,
       LP: #836246).
   * Ship the ncurses.supp file in libtinfo-dev (Closes: #627474).
   * Configure all library builds except libncurses5 with "--without-progs"
     to reduce build time a bit.
   * Add build-arch and build-indep targets to debian/rules.
   * Use dh_install's "--fail-missing" option.
   * Build for multiarch (Closes: #638281).
     - Mark libncurses5, libncursesw5, libtinfo5 and their -dev counterparts
       as Multi-Arch: same.
     - Mark ncurses-bin as Multi-Arch: foreign.
   * New patch 03-debian-ncursesconfig-omit-L.diff to omit the "-L" part
     from "ncurses5-config --libs" (see #638281).
   * Add rxvt-256color and rxvt-88color entries to debian/rxvt.ti
     (Closes: #638189).
   * Bump debhelper compatibility level to 8.
   * Upgrade Standards-Version to 3.9.2, no changes needed.
Checksums-Sha1: 
 e4ada27d49f39f027aa9c5da33852058a3a9eca6 2453 ncurses_5.9-2.dsc
 c59042a62d00b4d0122f5b7c8d1530de477b1f89 58601 ncurses_5.9-2.debian.tar.gz
 b6866740b9d19de5465117ff39f85eb05916765e 323230 libncurses5_5.9-2_amd64.deb
 3105886b6d374461adec324cf33b0230af8b0c04 245818 libtinfo5_5.9-2_amd64.deb
 a76c2fc03ba577ac47e22341bd428ac936366270 72926 libtinfo-dev_5.9-2_amd64.deb
 13c65b7e63464bba17ef60e99d483c4867a56fb3 546342 libtinfo5-dbg_5.9-2_amd64.deb
 3e23cc9461d5bed7da92cf02d1560870dda39bef 434756 libncurses5-dev_5.9-2_amd64.deb
 d7062c61b3f13330da98da1b529e90ecbfb2d9fb 3275272 libncurses5-dbg_5.9-2_amd64.deb
 29cc539700662b1f919340d703a7e0e7bdfdc77b 348002 libncursesw5_5.9-2_amd64.deb
 0b154ad6e97b372901d8b08cc13876ff06b402a6 467546 libncursesw5-dev_5.9-2_amd64.deb
 73ebc62cfda7ac327b1559f8c8484148cd43c34e 2402320 libncursesw5-dbg_5.9-2_amd64.deb
 f9be37a3359c5d80f1bcaf251c6e250db1cb4800 322892 lib32ncurses5_5.9-2_amd64.deb
 a358c7322b8d3477b6e989444386557fefc23ccd 358684 lib32ncurses5-dev_5.9-2_amd64.deb
 43e8b1398a5bcf4dab8c863aa6916c7c44bbcbbf 353472 lib32ncursesw5_5.9-2_amd64.deb
 cade1662f1b0100df5a057cff3bcb3c08b677699 392248 lib32ncursesw5-dev_5.9-2_amd64.deb
 17c49d18190929a704ccf2f74111a87af7bf915f 241116 lib32tinfo5_5.9-2_amd64.deb
 bf50e9535e9e6942f94d94750df506c5f0aad2ed 64374 lib32tinfo-dev_5.9-2_amd64.deb
 61e40316cafa728b14ce7b5fc7bfa6fb4e73a4cf 333262 ncurses-bin_5.9-2_amd64.deb
 6c89062872784c6166731b033d0bc7a9c9dba52a 415898 ncurses-examples_5.9-2_amd64.deb
 6660530a9a878a00e0ceba03238abfe74408909f 197058 ncurses-base_5.9-2_all.deb
 ff19104266d5d9939c79d780f145e780e98eb091 593854 ncurses-term_5.9-2_all.deb
 d640e0330c9345744750e289755349179a2aeb10 1009002 ncurses-doc_5.9-2_all.deb
Checksums-Sha256: 
 7163f9a5935ee73a3af7b32df5792033730cad1553927e06d0f644619954d930 2453 ncurses_5.9-2.dsc
 98c4f3493c13b39a914f6ecd787ad0f2fdd070d1fba4cdc4b40b90f145a7b767 58601 ncurses_5.9-2.debian.tar.gz
 dd91e2de19a8422c870d01013626e273144a348ffd92658094036115ad901233 323230 libncurses5_5.9-2_amd64.deb
 58f8599b1b29d8f152fb399ebeb32aaf7f9f976d0943ffd480e63602b44b3f56 245818 libtinfo5_5.9-2_amd64.deb
 21fa29df69b59a5c6d3ecec42c048732475795223a00100c1d99679044d02953 72926 libtinfo-dev_5.9-2_amd64.deb
 71b90fe55fc998a99b22ed96023f3ae462385498ead6c5bb95ba1f24d2d39ffb 546342 libtinfo5-dbg_5.9-2_amd64.deb
 d21b899432968157acbc6521101e4d4572e590001655f7ccbac2855c24d324c9 434756 libncurses5-dev_5.9-2_amd64.deb
 1eea21225af5bfeabfad4bf148f5ff1b6ddf89a686a79ee83a1e097ac81b47dc 3275272 libncurses5-dbg_5.9-2_amd64.deb
 17245fce1a8e628cf6ce0080d7c66836b010cc83da52e2bb48eec7eb520478b6 348002 libncursesw5_5.9-2_amd64.deb
 2435f4f436a2721fbcd78f3741e192bdb799acf97c6fd5bb852d7c7049c57be5 467546 libncursesw5-dev_5.9-2_amd64.deb
 4405f30b6c250e9eb66442e6b62235a33949f97a69156a9d1066e64ae52e22f9 2402320 libncursesw5-dbg_5.9-2_amd64.deb
 c1dc4be92218ed5d52f8869c5c0e7a093486d9ec96e020643b2bfa5c03ee903f 322892 lib32ncurses5_5.9-2_amd64.deb
 9d3349e30fcc1fb9a325cf449f672a8f8099de78a90dd8e42a11befb7531e7ca 358684 lib32ncurses5-dev_5.9-2_amd64.deb
 13fb7ada1ad175b38c46154113cf671e2deebe438dae4939e086d645d6de4507 353472 lib32ncursesw5_5.9-2_amd64.deb
 a024fed4eedf25cd936ed7e8b92e2d4f037a322ac4787ff8c35b6747bc2a776a 392248 lib32ncursesw5-dev_5.9-2_amd64.deb
 ad015ba0db85a0ff304fcf4dc85f9ad2c56a3fe3753866de70fe7e308332bd24 241116 lib32tinfo5_5.9-2_amd64.deb
 a32d91c9ea67ae05c3e56d4dafde3f249edd3717c416f1ecf62b7e7a5ed18f3a 64374 lib32tinfo-dev_5.9-2_amd64.deb
 8a4c8beec57f06b85d78d10b9aadfc94c72a75bf3769ab0f00a9b4beb66161bb 333262 ncurses-bin_5.9-2_amd64.deb
 a62f33885e32ddf2250d18eed8040788b5fa48866b993444129ccb049e12792e 415898 ncurses-examples_5.9-2_amd64.deb
 14e6ee710084dac03c3f2e82a53c7036ec1b1393e532579382db38eedd81f215 197058 ncurses-base_5.9-2_all.deb
 2b63e8d08c6d8ac64c10acd92bc7924bf909c5a33fab8dcf342b902b935177b0 593854 ncurses-term_5.9-2_all.deb
 3ec909865ae5138348c353630b496b4553f4f0bcaceee75cb0c1cb8998f49f90 1009002 ncurses-doc_5.9-2_all.deb
Files: 
 2e9cbf1d9e6ff96ccea071323ebe0a4d 2453 libs required ncurses_5.9-2.dsc
 cb864e0ba20dc35f154946288cd2b3a6 58601 libs required ncurses_5.9-2.debian.tar.gz
 98c8299f9358977cada75b345da373ea 323230 libs required libncurses5_5.9-2_amd64.deb
 462802a66e81de4a7346119882be1fb4 245818 libs required libtinfo5_5.9-2_amd64.deb
 7a103aed82263f3476d0f7f9d344fdb3 72926 libdevel optional libtinfo-dev_5.9-2_amd64.deb
 b0eb236f7e208aa75ebca34ebfa717ac 546342 debug extra libtinfo5-dbg_5.9-2_amd64.deb
 dbbbc83bb1e081b6e59cf60e3950ac08 434756 libdevel optional libncurses5-dev_5.9-2_amd64.deb
 afac1a183465d5079a5ac4eaf7bd158a 3275272 debug extra libncurses5-dbg_5.9-2_amd64.deb
 dbc8fef986bff6b7c897fcd718440a31 348002 libs important libncursesw5_5.9-2_amd64.deb
 1d477698aca083a063c6e856f79f2be7 467546 libdevel optional libncursesw5-dev_5.9-2_amd64.deb
 4004c38b0966f37424225ffead1a164c 2402320 debug extra libncursesw5-dbg_5.9-2_amd64.deb
 2fa75cdbc1e4f3af3b487710ab5eb869 322892 libs optional lib32ncurses5_5.9-2_amd64.deb
 b283167caa1bf40c133989fc8b67db09 358684 libdevel optional lib32ncurses5-dev_5.9-2_amd64.deb
 2b3cc1f468acce14bbebcd44ab0f011e 353472 libs optional lib32ncursesw5_5.9-2_amd64.deb
 99a75b2fa323b183d5b4be91ab7b4b22 392248 libdevel optional lib32ncursesw5-dev_5.9-2_amd64.deb
 0cc1438c8891ad6400e714903d538873 241116 libs optional lib32tinfo5_5.9-2_amd64.deb
 e5bf1ee930befc9f426c9b6307c7d38c 64374 libdevel optional lib32tinfo-dev_5.9-2_amd64.deb
 df028daed501f4d4c84c16841569b482 333262 utils required ncurses-bin_5.9-2_amd64.deb
 dc673ea80f4487da17f38c30a0ba5542 415898 misc optional ncurses-examples_5.9-2_amd64.deb
 c2024761d3dc138d68275dece8744738 197058 utils required ncurses-base_5.9-2_all.deb
 459958aa5d9ab876d19c676dad0be4b0 593854 admin standard ncurses-term_5.9-2_all.deb
 fe5ef09fbfaf475bff90cc9460e6a9a7 1009002 doc optional ncurses-doc_5.9-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6EVjoACgkQx2zlrBLK36W7ugCeMuCmN3FwuqJqg1nJrpKZb80R
NrEAn2zqbyLAWe+91W8zWlTvvQGCluSG
=3bkm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Nov 2011 07:40:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:57:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.